#include <SoftwareSerial.h>
SoftwareSerial serial(A1, 1);//rx pin of ftdi header as receiver and mosi as tx
const int trigPin = A2;  // defines pins numbers
const int echoPin = A3;  // defines pins numbers
long duration;  // defines variables
int distance;   // defines variables
void setup() 
{
  pinMode(trigPin, OUTPUT); // Sets the trigPin as an Output
  pinMode(echoPin, INPUT); // Sets the echoPin as an Input
  serial.begin(9600); // Starts the serial communication
}
void loop()
{
  
  digitalWrite(trigPin, 0);// Clears the trigPin
  delayMicroseconds(2000);
  digitalWrite(trigPin, 1);
  delayMicroseconds(5); // Sets the trigPin on HIGH state for 5 micro seconds
  digitalWrite(trigPin, 0);
  duration = pulseIn(echoPin, 1); // Reads the echoPin, returns the sound wave travel time in microseconds
  distance = duration * 0.034 / 2; // Calculating the distance
  if
  (distance > 100)
  {
    serial.println("out of range");
  }
  else
  {
    serial.print("Distance: "); // Prints the distance on the Serial Monitor
  serial.print(distance);// Prints the distance on the Serial Monitor
  serial.println(" Cm");// Prints the distance on the Serial Monitor
  } 
  delay(2000);
 }
