#define trigPin A2//defining trigpin to A2/PB4
#define echoPin A3//defining echopin to A3/PB3
#define led PB1//defining led to PB1
#define led2 PB0//defining led2 to PB0

void setup() {
  pinMode(trigPin, OUTPUT);
  pinMode(echoPin, INPUT);
  pinMode(led, OUTPUT);
  pinMode(led2, OUTPUT);
}

void loop() {
  long duration, distance;
  digitalWrite(trigPin, LOW);//setting trigpin to low
  delayMicroseconds(2); 
  digitalWrite(trigPin, HIGH);//setting trigpin to low
  delayMicroseconds(10); 
  digitalWrite(trigPin, LOW);
  duration = pulseIn(echoPin, HIGH);
  distance = (duration/2) / 29.1;//soundwave speed-distance conversion
  if (distance < 10) //less than 10cm 
  {  
    digitalWrite(led2,HIGH); // Red led goes on
  digitalWrite(led,LOW);  // orange led goes off
 }
 else if (distance >= 100 || distance <= 0) 
  {
    digitalWrite(led2,HIGH); // Red led goes on
    digitalWrite(led,LOW);  // orange led goes off
 }
  else //between 10cm to 100cm
  {
    digitalWrite(led2,LOW);// Red led goes off
    digitalWrite(led,HIGH);// orange led goes on
  }
  
  delay(500);
} 
